## ros-indigo-jsk-pr2-desktop 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_pr2_desktop)

find_package(catkin REQUIRED COMPONENTS jsk_pr2_startup)

set(SETUP_DIRECTORY $ENV{HOME}/.local/share/applications)
set(PROJECT_SOURCE_DIR ${PROJECT_SOURCE_DIR})
set(PROJECT_SCRIPTS_DIR ${PROJECT_SOURCE_DIR}/scripts)
set(PR2_USER applications)
set(USER_NAME $ENV{USER})
set(ROS_DISTRO $ENV{ROS_DISTRO})
set(MAKE_CLEAN_FILES "")

if(${ROS_DISTRO} STREQUAL "hydro")
  set(PR2_DASHBOARD_ICON /opt/ros/hydro/stacks/pr2_gui/pr2_dashboard/icons/rosout-green-untoggled.png)
  set(PR2_DASHBOARD_EXE "pr2_dashboard")
else()
  set(PR2_DASHBOARD_ICON task-past-due)
  set(PR2_DASHBOARD_EXE "rqt_pr2_dashboard")
endif()

# scripts
configure_file(${PROJECT_SOURCE_DIR}/pr2_jsk_startup.sh.in
  ${PROJECT_SCRIPTS_DIR}/pr2_jsk_startup.sh)
configure_file(${PROJECT_SOURCE_DIR}/rviz.sh.in
  ${PROJECT_SCRIPTS_DIR}/rviz.sh)
configure_file(${PROJECT_SOURCE_DIR}/pr2_marker_control_main.sh.in
  ${PROJECT_SCRIPTS_DIR}/pr2_marker_control_main${PR2_NAME}.sh)
configure_file(${PROJECT_SOURCE_DIR}/detect_cans_demo.sh.in
  ${PROJECT_SCRIPTS_DIR}/detect_cans_demo${PR2_NAME}.sh)
configure_file(${PROJECT_SOURCE_DIR}/pr2_teleop_robot.sh.in
  ${PROJECT_SCRIPTS_DIR}/pr2_teleop_robot${PR2_NAME}.sh)
configure_file(${PROJECT_SOURCE_DIR}/pr2_teleop_remote.sh.in
  ${PROJECT_SCRIPTS_DIR}/pr2_teleop_remote${PR2_NAME}.sh)

macro(configure_and_register src dst)
  configure_file(${src} ${dst})
  set(MAKE_CLEAN_FILES ${MAKE_CLEAN_FILES} ${dst})
endmacro(configure_and_register)

macro(configure_icon_files icol iname)
  set(ICON_COLOR ${icol})
  set(PR2_NAME ${iname})
  # Desktop Icons
  configure_and_register(${PROJECT_SOURCE_DIR}/PR2Dashboard.desktop.in
    ${SETUP_DIRECTORY}/PR2Dashboard${PR2_NAME}.desktop)
  configure_and_register(${PROJECT_SOURCE_DIR}/PR2JSKStartup.desktop.in
    ${SETUP_DIRECTORY}/PR2JSKStartup${PR2_NAME}.desktop)
#  configure_file(${PROJECT_SOURCE_DIR}/PR2MarkerControl.desktop.in
#    ${SETUP_DIRECTORY}/PR2MarkerControl${PR2_NAME}.desktop)
  configure_and_register(${PROJECT_SOURCE_DIR}/StartPR2.desktop.in
    ${SETUP_DIRECTORY}/StartPR2${PR2_NAME}.desktop)
  configure_and_register(${PROJECT_SOURCE_DIR}/StopPR2.desktop.in
    ${SETUP_DIRECTORY}/StopPR2${PR2_NAME}.desktop)
  configure_and_register(${PROJECT_SOURCE_DIR}/RViz.desktop.in
    ${SETUP_DIRECTORY}/RViz${PR2_NAME}.desktop)
  configure_and_register(${PROJECT_SOURCE_DIR}/PR2TeleopRobot.desktop.in
    ${SETUP_DIRECTORY}/PR2TeleopRobot${PR2_NAME}.desktop)
  configure_and_register(${PROJECT_SOURCE_DIR}/PR2TeleopRemote.desktop.in
    ${SETUP_DIRECTORY}/PR2TeleopRemote${PR2_NAME}.desktop)

endmacro(configure_icon_files)

configure_icon_files(blue pr1012)
configure_icon_files(red pr1040)

add_custom_target(desktop ALL DEPENDS
  ${PROJECT_SOURCE_DIR}/PR2Dashboard.desktop.in
  ${PROJECT_SOURCE_DIR}/PR2JSKStartup.desktop.in
  ${PROJECT_SOURCE_DIR}/PR2MarkerControl.desktop.in
  ${PROJECT_SOURCE_DIR}/StartPR2.desktop.in
  ${PROJECT_SOURCE_DIR}/StopPR2.desktop.in
  ${PROJECT_SOURCE_DIR}/RViz.desktop.in
  ${PROJECT_SOURCE_DIR}/PR2TeleopRobot.desktop.in
  ${PROJECT_SOURCE_DIR}/PR2TeleopRemote.desktop.in
#  ${PROJECT_SOURCE_DIR}/pr2_jsk_startup.sh.in
  ${PROJECT_SOURCE_DIR}/pr2_marker_control_main.sh.in
  ${PROJECT_SOURCE_DIR}/detect_cans_demo.sh.in
  ${PROJECT_SOURCE_DIR}/pr2_teleop_robot.sh.in
  ${PROJECT_SOURCE_DIR}/pr2_teleop_remote.sh.in
  )
#set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
#  "${SETUP_DIRECTORY}/PR2Dashboard.desktop;${SETUP_DIRECTORY}/PR2JSKStartup.desktop;${SETUP_DIRECTORY}/PR2MarkerControl.desktop;${SETUP_DIRECTORY}/StartPR2.desktop;${SETUP_DIRECTORY}/StopPR2.desktop;${PROJECT_SCRIPTS_DIR}/rviz.sh;${PROJECT_SCRIPTS_DIR}/pr2_jsk_startup.sh;${PROJECT_SCRIPTS_DIR}/pr2_marker_control_main.sh;${PROJECT_SCRIPTS_DIR}/detect_cans_demo.sh"
#  )
set(MAKE_CLEAN_FILES ${MAKE_CLEAN_FILES} "${PROJECT_SCRIPTS_DIR}/rviz.sh;${PROJECT_SCRIPTS_DIR}/pr2_jsk_startup.sh;${PROJECT_SCRIPTS_DIR}/pr2_marker_control_main.sh;${PROJECT_SCRIPTS_DIR}/detect_cans_demo.sh")
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${MAKE_CLEAN_FILES}")

=== debian/changelog ===
ros-indigo-jsk-pr2-desktop (1.1.0-1trusty) trusty; urgency=high

  * [jsk_pr2_desktop] change install destination to ~/.local/share/applications (#788 <https://github.com/jsk-ros-pkg/jsk_robot/issues/788> )
  * catkinize jsk_pr2_desktop (#781 <https://github.com/jsk-ros-pkg/jsk_robot/issues/781>)
  * Contributors: Yuki Furuta, Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.7-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.5-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.1-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (1.0.0-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 06 Nov 2015 06:17:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.13-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 06 Nov 2015 06:04:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.12-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 06 Nov 2015 05:47:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.11-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.10-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.5-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-jsk-pr2-desktop (0.0.1-1trusty) trusty; urgency=high

  * Merge branch 'master' of https://github.com/jsk-ros-pkg/jsk_robot
  * Merge pull request #149 <https://github.com/jsk-ros-pkg/jsk_robot/issues/149> from aginika/move-pr2-packages-under-jsk-pr2-robot
    move pr2 related package under jsk_pr2_robot
  * move pr2 related package under jsk_pr2_robot
  * Contributors: Ryohei Ueda, aginika

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-jsk-pr2-desktop
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-jsk-pr2-startup
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-pr2-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jsk-pr2-startup
Description: Desktop Shortcuts for JSK PR2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-pr2-desktop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
